/* -*-C-*-

Copyright (C) 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015,
    2016, 2017, 2018, 2019 Matthew Birkholz

This file is part of a Gtk plugin for MIT/GNU Scheme Pucked.

This plugin is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2 of the License, or (at your
option) any later version.

This plugin is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this plugin; if not, write to the Free Software Foundation,
Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

*/

/* Header for gtk-shim.c, gtk-const.c and scmwidget.c. */

#define GTK_DISABLE_SINGLE_INCLUDES 1
#define GDK_DISABLE_DEPRECATED 1
#define GTK_DISABLE_DEPRECATED 1
#define GSEAL_ENABLE 1

#include <gtk/gtk.h>
#include "scmwidget.h"
#include "gtkpanedview.h"
#include "gtkscrolledview.h"

typedef unsigned int uint;
extern gboolean start_gtk (int *argc, char ***argv);
extern void     stop_gtk (void);
extern void     run_gtk (unsigned long registry, double time);
extern void     yield_gtk (void);
extern gboolean gtk_time_slice_window_p (void);
extern void     gtk_time_slice_window (gboolean open_p);
extern gboolean gtk_select_trace_p (void);
extern void     gtk_select_trace (gboolean trace_p);
