#| -*-Scheme-*-

This is Havoc Pennington's Hello World example
from GGAD, wrapped in Scheme. |#

(define (hello)
  (with-glib-lock
   (lambda ()
     (let ((window (gtk-window-new 'toplevel))
	   (button (gtk-button-new))
	   (label (gtk-label-new "Hello, World!")))
       (gtk-container-add button label)
       (gtk-container-add window button)
       (gtk-window-set-title window "Hello")
       (gtk-container-set-border-width button 10)
       (let ((counter 0))
	 (set-gtk-window-delete-event-callback!
	  window
	  (lambda (window)
	    (outf-error ";Bite me "(- 2 counter)" times.\n")
	    (set! counter (1+ counter))
	    ;; Three or more is the charm.
	    (if (> counter 2) 0 1)))
	 (set-gtk-button-clicked-callback!
	  button
	  (lambda (button)
	    (let ((text (gtk-label-get-text label)))
	      (gtk-label-set-text
	       label (list->string (reverse! (string->list text)))))
	    unspecific)))
       (gtk-widget-show-all window)
       window))))